package de.krisenvorrat.app.domain.repository

import de.krisenvorrat.shared.model.InventoryDto
import java.io.File

internal interface ImportExportRepository {
    suspend fun exportToJson(): String
    suspend fun importFromJson(json: String): Result<Unit>
    suspend fun exportToMarkdown(): String
    suspend fun exportToCsv(): String
    suspend fun exportToPdf(file: File)
    suspend fun exportToInventoryDto(): InventoryDto
    suspend fun importFromInventoryDto(dto: InventoryDto): Result<Unit>
}
